'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Container = require('./Container');

var _Container2 = _interopRequireDefault(_Container);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by timur on 5/1/17.
 */

var Navbar = function Navbar(_ref) {
  var children = _ref.children;


  var items = [].concat(children).map(function (item, i) {

    switch (item.type) {

      case 'header':

        var headerItems = [].concat(item.props.children).map(function (itemChild, j) {

          switch (itemChild.type) {

            case 'brand':
              return _react2.default.createElement(
                'a',
                {
                  key: j,
                  href: '' + (itemChild.props.href ? itemChild.props.href : '#')
                },
                itemChild.props.children
              );

            default:
              return itemChild;
          }
        });

        return _react2.default.createElement(
          'div',
          {
            key: i,
            className: 'navbar-header'
          },
          _react2.default.createElement(
            'button',
            {
              type: 'button',
              className: 'navbar-toggle collapsed',
              'data-toggle': 'collapse',
              'data-target': '#bs-example-navbar-collapse-1',
              'aria-expanded': 'false'
            },
            _react2.default.createElement(
              'span',
              { 'class': 'sr-only' },
              'Toggle navigation'
            ),
            _react2.default.createElement('span', { 'class': 'icon-bar' }),
            _react2.default.createElement('span', { 'class': 'icon-bar' }),
            _react2.default.createElement('span', { 'class': 'icon-bar' })
          ),
          headerItems
        );

      default:
        return item;
    }
  });

  return _react2.default.createElement(
    'div',
    { className: 'navbar navbar-default' },
    _react2.default.createElement(
      _Container2.default,
      { fluid: true },
      items
    )
  );
};

exports.default = Navbar;